Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.3.5 generated on August 31 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.runtime
Class AbstractPCData

    java.lang.Object
      |
      +--kodo.runtime.AbstractPCData

All Implemented Interfaces:
  PCData, Serializable

Direct Known Subclasses:
  PCDataImpl

public abstract synchronized class AbstractPCData
extends Object
implements PCData

See Also:
  Serialized Form

Field Summary
`static Object` | `NULL`

Constructor Summary
`AbstractPCData()`

Method Summary
`abstract Object` | `getData(int)` Return the data stored in the given field index.
`abstract Object` | `getId()` Return the id of this instance.
`abstract Object` | `getImplData()` Returns the instance-level impl data, or null if none.
`abstract BitSet` | `getLoaded()`
`abstract Class` | `getType()` Return the type of this instance.
`abstract Object` | `getVersion()` Returns the current version object that this data was loaded from.
`boolean` | `isLoaded(int)` Whether the given field index has stored data.
`abstract void` | `load(KodoStateManager, BitSet, FetchConfiguration, Object)` Loads some or all of the marked fields from the cache into the given state manager.
`abstract void` | `load(KodoStateManager, FetchConfiguration, Object)` Loads all fields that are currently stored in the cache into the given state manager.
`abstract AbstractPCData` | `newEmbeddedPCData(KodoStateManager)`
`abstract void` | `setImplData(Object)` Sets the stored instance-level impl data.
`abstract void` | `setVersion(Object)` Sets the current version object that this data was loaded from.
`abstract void` | `store(KodoStateManager)` Store all loaded fields of the state manager.
`abstract void` | `store(KodoStateManager, BitSet)` Store the given fields from the state manager.
`protected Object` | `toData(FieldMetaData, Object)`
`protected Object` | `toEmbeddedData(Object)`
`protected Object` | `toEmbeddedField(KodoStateManager, FieldMetaData, Object, FetchConfiguration, Object)`
`protected Object` | `toField(KodoStateManager, FieldMetaData, Object, FetchConfiguration, Object)`
`protected Object` | `toNestedData(int, Object, boolean)`
`protected Object` | `toNestedField(KodoStateManager, FieldMetaData, int, Object, boolean, FetchConfiguration, Object)`
`protected Object` | `toRelationData(Object)`
`protected Object` | `toRelationField(KodoStateManager, FieldMetaData, Object, FetchConfiguration, Object)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NULL

    public static final Object NULL

Constructor Detail

### AbstractPCData

    public AbstractPCData()

Method Detail

### getLoaded

    public abstract BitSet getLoaded()

### newEmbeddedPCData

    public abstract AbstractPCData newEmbeddedPCData(KodoStateManager)

### isLoaded

    public boolean isLoaded(int)

  Description copied from interface: `PCData`
  Whether the given field index has stored data.
  Specified by:
    `isLoaded` in interface `PCData`

### toField

    protected Object toField(KodoStateManager,
                             FieldMetaData,
                             Object,
                             FetchConfiguration,
                             Object)

### toNestedField

    protected Object toNestedField(KodoStateManager,
                                   FieldMetaData,
                                   int,
                                   Object,
                                   boolean,
                                   FetchConfiguration,
                                   Object)

### toRelationField

    protected Object toRelationField(KodoStateManager,
                                     FieldMetaData,
                                     Object,
                                     FetchConfiguration,
                                     Object)

### toEmbeddedField

    protected Object toEmbeddedField(KodoStateManager,
                                     FieldMetaData,
                                     Object,
                                     FetchConfiguration,
                                     Object)

### toData

    protected Object toData(FieldMetaData,
                            Object)

### toNestedData

    protected Object toNestedData(int,
                                  Object,
                                  boolean)

### toRelationData

    protected Object toRelationData(Object)

### toEmbeddedData

    protected Object toEmbeddedData(Object)

### getData

    public abstract Object getData(int)

  Description copied from interface: `PCData`
  Return the data stored in the given field index.
  Specified by:
    `getData` in interface `PCData`

### store

    public abstract void store(KodoStateManager,
                               BitSet)

  Description copied from interface: `PCData`
  Store the given fields from the state manager.
  Specified by:
    `store` in interface `PCData`

### store

    public abstract void store(KodoStateManager)

  Description copied from interface: `PCData`
  Store all loaded fields of the state manager.
  Specified by:
    `store` in interface `PCData`

### load

    public abstract void load(KodoStateManager,
                              BitSet,
                              FetchConfiguration,
                              Object)

  Description copied from interface: `PCData`
  Loads some or all of the marked fields from the cache into the given state manager.
  Specified by:
    `load` in interface `PCData`
  Following copied from interface: `kodo.runtime.PCData`
  Parameters:
    `sm` - the state manager to load
    `fields` - the fields to load; clear the bits for the fields that are successfully loaded
    `fetch` - the fetch configuration to use for loading related objects
    `context` - current context information

### load

    public abstract void load(KodoStateManager,
                              FetchConfiguration,
                              Object)

  Description copied from interface: `PCData`
  Loads all fields that are currently stored in the cache into the given state manager.
  Specified by:
    `load` in interface `PCData`
  Following copied from interface: `kodo.runtime.PCData`
  Parameters:
    `sm` - the state manager to load
    `fetch` - the fetch configuration to use for loading related objects
    `context` - current context information

### setVersion

    public abstract void setVersion(Object)

  Description copied from interface: `PCData`
  Sets the current version object that this data was loaded from.
  Specified by:
    `setVersion` in interface `PCData`

### getVersion

    public abstract Object getVersion()

  Description copied from interface: `PCData`
  Returns the current version object that this data was loaded from.
  Specified by:
    `getVersion` in interface `PCData`

### setImplData

    public abstract void setImplData(Object)

  Description copied from interface: `PCData`
  Sets the stored instance-level impl data.
  Specified by:
    `setImplData` in interface `PCData`

### getImplData

    public abstract Object getImplData()

  Description copied from interface: `PCData`
  Returns the instance-level impl data, or null if none.
  Specified by:
    `getImplData` in interface `PCData`

### getType

    public abstract Class getType()

  Description copied from interface: `PCData`
  Return the type of this instance.
  Specified by:
    `getType` in interface `PCData`

### getId

    public abstract Object getId()

  Description copied from interface: `PCData`
  Return the id of this instance.
  Specified by:
    `getId` in interface `PCData`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.3.5 generated on August 31 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.